﻿@using DevExpress.Spreadsheet;
@using System.Web.Mvc
@using System.Web.Mvc.Html
@using DevExpress.Web.Mvc.UI;
@using System.IO;
@using System.Data;
@using System.Text;
@model SPEX.Models.mInvoice 
@*<iframe src="@(ViewBag.IframeUrl)" width="500px" height="400px" scrolling="auto">
</iframe>*@
<table>
    <tr>
        <td style="width: 30%">
            @Html.DevExpress().Label(
            label =>
            {
                label.Text = "Flight";
            }).GetHtml()
        </td>
        <td style="width: 30%">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "I_FLIGHT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 150;
            }).Bind(Model.BYAIR_FLIGHT).GetHtml()
        </td>
        <td style="width: 50%">
            &nbsp;
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Text = "Departure About";
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_DEPARTURE_ABOUT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                settings.Properties.DisplayFormatInEditMode = true;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.ReadOnly = false;
                settings.Properties.UseMaskBehavior = true;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.CalendarProperties.EnableYearNavigation = true;
                settings.Width = 110;
            }
            ).Bind(Model.DEPARTURE_ABOUT_1).GetHtml()
        </td>
        <td>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Text = "Connecting Flight";
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "I_CONNECTING_FLIGHT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 150;
            }).Bind(Model.BYAIR_CONNECTING_FLIGHT).GetHtml()
        </td>
        <td>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Text = "Departure About";
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_CONNECTING_DEPARTURE_ABOUT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                settings.Properties.DisplayFormatInEditMode = true;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.ReadOnly = false;
                settings.Properties.UseMaskBehavior = true;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.CalendarProperties.EnableYearNavigation = true;
                settings.Width = 110;
            }
            ).Bind(Model.DEPARTURE_ABOUT_2).GetHtml()
        </td>
        <td>
        </td>
    </tr>
    <tr>
        <td colspan="3">
            &nbsp;
        </td>
    </tr>
    <tr>
        <td style="width: 60%; text-align=left" align="left" colspan="2">
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdExcelSI";
                    Button.Text = "Excel";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "GenerateExcelSI";
                    Button.Style.Add("display", "inline-table");
                    //Button.ClientSideEvents.Init = "OnInit";
                    // Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "ADD");

                }).GetHtml()
            @*<a href="@(ViewBag.IframeUrl)" id="myHref" target="_blank">*@
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdPdfSI";
                    Button.Text = "Pdf";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "downloadPDFSI";
                    Button.Style.Add("display", "inline-table");
                    //Button.ClientSideEvents.Init = "OnInit";
                    // Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "ADD");

                }).GetHtml()
            @*</a>*@
        </td>
        <td style="width: 40%; text-align=right" align="right">
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdCancelSI";
                    Button.Text = "Cancel";
                    Button.Width = 100;
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "ClosePopUpSI";
                    //Button.ClientSideEvents.Init = "OnInit";
                    // Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_AGENT", "FTR-SPEX-51-01", "ADD");

                }).GetHtml()
        </td>
    </tr>
</table>
@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PDF_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    //settings.Text = "@";
                    //settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                    //if (@model != null)
                    //    settings.Text = @model.PART_NO;           
                }).Bind(ViewBag.Pdffilename).GetHtml()
@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_AttachmentName";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    //settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                    //if (@model != null)
                    //    settings.Text = @model.PART_NO;           
                }).Bind(ViewBag.Attachment).GetHtml()
